/*GENERAL*/
*{
    margin:0px;
}

body{
    background-color: rgb(209, 219, 211);
    font-family: Calibri;  
}

article > section > p {
    margin-left: 20%;
    margin-right: 20%;
    text-align: center;
    font-size: 120%;
}

.tornaAmunt, .fletxaDreta, .fletxaEsquerra, .tornaEnrere {
    width:7%;
}

.tornaAmunt {
    margin-left:80%;
}

.negreta {
    text-align: center;
    margin: 10px;
    font-size: 120%;
    font-weight: bold;
}

.sendbutton{
    height: 30px;
    border-color:darkcyan;
    border-width: 2px;
    margin-left: 5%;
}

.sendbutton:hover{
    background-color: rgba(27, 117, 129, 0.24);
}

.sendbutton:active{
    color: white;
}




/*PORTADA INICI*/

#Video{
    position: absolute;
    top: 10px;
    width: 100%;
    margin-top: -2%;
    z-index:-4;
    position: sticky;
    top: 30px;
}

/*Link logo a inici*/
#logoPrincipal {
    margin-left: 20px;
    z-index: -1;
}

/*Imatge logo inici*/
#logoPrincipal > img {
    width: 13%;
    position: absolute;
    top: 20px;
    left: 1%;
}


/*Titol i subtitol header*/
#titolPortada, #subtitol{
    text-align: center;
    font-family: HelloEsliScript; /* Hem utilitzat aquest font-family perquè és la lletra que s' usa en la colla, probablement per poder veure-la s' haurà de fer una instal·lació de l' arxiu que està en la carpeta */
    font-size: 45px;
    width:fit-content;
    color: black;
    background-color: cornsilk;
    opacity: 70%;
    border-radius: 20px;
    padding-left: 5px;
    padding-right: 5px;
    position:relative;
    top: 650px;
    left: 129%;
}

#subtitol {
    font-style: italic;
    font-family: Calibri;
    color: rgb(59, 59, 59);
    font-size: 25px;
    position:relative;
    left: 140%;
    top:670px;
}

/*Logo + titol MAIN*/
#capcaleraInici {
    padding-bottom: 5%;
    padding-top: 1%;
    position: absolute;
    top: 100px;
}

/*Logo no main*/
nav > a {
    margin-left: 20px;
    z-index: -1;
}

nav > a > img {
    width: 5%;
    position: absolute;
    top: 5px;
    left: 1%;
}

/*Titol pagines*/
.titol{
    text-align: center;
    font-family: HelloEsliScript;
    font-size: 45px;
    color: black;
 }

/*Titol pagines NO MAIN*/
header {
    background-image: url(../imatges/fons-capcalera-retallat.png);
    padding-bottom: 2%;
    padding-top: 1%;
    height: 30px;
}






/*MENU*/


/*nav header enllaços*/
body > nav > ul > li > a {
    border-color: black;
    text-decoration: none;
    color:rgb(71, 71, 71);
    font-family: Calibri;
    font-weight: bold;
}

/*nav header llista*/
body > nav {
    text-align: center;
    background-color: rgb(42, 141, 158);
    height: 80px;
    z-index: 1;
    position: sticky;
    top: 0px;
}

/*nav header elements llista*/
body > nav > ul > li {
    list-style-type: none;
    text-transform: uppercase;
    display: inline-block;
    font-size: 20px;
    border: 3px solid rgb(101, 194, 137);
    background-color: rgb(255, 238, 0);
    border-radius: 15px;
    padding-left: 1%;
    padding-right: 1%;
    margin-top: 25px;
    margin-bottom: 7px;
    margin-left:10px;
    margin-right:10px;
}

/*nav header elements llista RATOLI SOBRE*/
body > nav > ul > li:hover {
    list-style-type: none;
    text-transform: uppercase;
    display: inline-block;
    font-size: 20px;
    background-color: rgb(252, 193, 0);
    border-radius: 15px;
    padding-left: 1%;
    padding-right: 1%;
    margin-top: 7px;
    margin-bottom: 7px;
    margin-left:10px;
    margin-right:10px;
}

body > nav > ul > li:active {
    list-style-type: none;
    text-transform: uppercase;
    display: inline-block;
    font-size: 20px;
    border: solid 4px rgb(36, 108, 121);
    background-color:  rgb(252, 193, 0);
    border-radius: 15px;
    padding-left: 1%;
    padding-right: 1%;
    margin-top: 7px;
    margin-bottom: 7px;
    margin-left:10px;
    margin-right:10px;
}






/*Botó socis*/
#socis {
    background-color: rgb(0, 0, 0);
    padding-bottom: 10px;
    padding-top: 10px;
    padding-right: 15px;
    padding-left: 15px;
    font-size: 15px;
    font-family: ClapHappy;
    border-radius: 70px;
    position: relative;
    top: -35px;
    margin-left: 80%;
    text-decoration: none;
    color:rgb(255, 255, 255);
    z-index: 3;
}

#socis:hover {
    font-size: 30px;
    background-color: rgb(44, 44, 44);
}

#socis:active {
    font-size: 30px;
    border: solid 4px rgb(27, 92, 104);
    background-color: rgb(44, 44, 44);
}










/*MAIN*/ 


#articleMain {
    margin-top: -10%;
    padding-top: 30px;
    background-color: rgb(209, 219, 211);
}

.presentacio {
    text-align: justify;
    position:relative;
    margin-left: 3%;
    margin-right: 3%;
}

/*Text main*/
#articleMain > :first-child {
    background-color: honeydew;
    border-radius: 30px;
    margin-left: 15%;
    margin-right: 15%;
    padding-top: 1%;
    padding-bottom: 2%;
}

/*h3 main*/
#articleMain > section > h3 {
    text-align: center;
    margin: 0%;
}

/*Sections main index*/
.sectionMain{
    text-align: center;
    font-size: 180%;
    height: 255px;
}

/* Enllaços main*/
main > article > section > a {
    text-decoration: none;

}

/*Titols main NORMAL*/
.titolMain1{
    color:black;
    height: 50px;
    padding-top: 100px;
    padding-bottom: 100px;
    padding-left: 30.3%;
    padding-right: 30.3%;
    position:relative;
    top: 130px;
    background-image: url(../imatges/calendari.png);
    font-family: HelloEsliScript;
    font-size: 40px;
    color: transparent;
}

.titolMain2{
    color:black;
    height: 50px;
    padding-top: 100px;
    padding-bottom: 100px;
    padding-left: 32%;
    padding-right: 32%;
    position:relative;
    top: 130px;
    margin-top: 0px;
    background-image: url(../imatges/samarretes-horitzontal.jpg);
    font-family: HelloEsliScript;
    font-size: 40px;
    color: transparent;
}

.titolMain3{
    color:black;
    height: 50px;
    padding-top: 100px;
    padding-bottom: 100px;
    padding-left: 32%;
    padding-right: 32%;
    position:relative;
    top: 130px;
    margin-top: 0px;
    background-image: url(../imatges/pinya.jpg);
    font-family: HelloEsliScript;
    font-size: 40px;
    color: transparent;
}

/*Titols main HOVER*/
.titolMain1:hover{
    color:black;
    height: 50px;
    padding-top: 100px;
    padding-bottom: 100px;
    padding-left: 30.3%;
    padding-right: 30.3%;
    position:relative;
    top: 130px;
    margin-top: 0px;
    background-image: url(../imatges/fons-capcalera-retallat.png);
    font-family: HelloEsliScript;
    font-size: 40px;
    color:rgb(54, 54, 54);
}

.titolMain2:hover{
    color:black;
    height: 50px;
    padding-top: 100px;
    padding-bottom: 100px;
    padding-left: 32%;
    padding-right: 32%;
    position:relative;
    top: 130px;
    margin-top: 0px;
    background-image: url(../imatges/fons-capcalera-retallat.png);
    font-family: HelloEsliScript;
    font-size: 40px;
    color:rgb(54, 54, 54);
}

.titolMain3:hover{
    color:black;
    height: 50px;
    padding-top: 100px;
    padding-bottom: 100px;
    padding-left: 32%;
    padding-right: 32%;
    position:relative;
    top: 130px;
    margin-top: 0px;
    background-image: url(../imatges/fons-capcalera-retallat.png);
    font-family: HelloEsliScript;
    font-size: 40px;
    color:rgb(54, 54, 54);
}

/*Seccions main active*/
.titolMain1:active{
    color:black;
    height: 50px;
    padding-top: 100px;
    padding-bottom: 100px;
    padding-left: 30.3%;
    padding-right: 30.3%;
    position:relative;
    top: 130px;
    margin-top: 0px;
    background-image: url(../imatges/fons-capcalera-retallat.png);
    font-family: HelloEsliScript;
    font-size: 40px;
    border: solid 5px rgb(54, 54, 54);
    color:rgb(54, 54, 54);
}

.titolMain2:active{
    color:black;
    height: 50px;
    padding-top: 100px;
    padding-bottom: 100px;
    padding-left: 32%;
    padding-right: 32%;
    position:relative;
    top: 130px;
    margin-top: 0px;
    background-image: url(../imatges/fons-capcalera-retallat.png);
    font-family: HelloEsliScript;
    font-size: 40px;
    border: solid 5px rgb(54, 54, 54);
    color:rgb(54, 54, 54);
}

.titolMain3:active{
    color:black;
    height: 50px;
    padding-top: 100px;
    padding-bottom: 100px;
    padding-left: 32%;
    padding-right: 32%;
    position:relative;
    top: 130px;
    margin-top: 0px;
    background-image: url(../imatges/fons-capcalera-retallat.png);
    font-family: HelloEsliScript;
    font-size: 40px;
    border: solid 5px rgb(54, 54, 54);
    color:rgb(54, 54, 54);
}











/*FES-TE SOCI*/

/* H2 TITLES */
 
article > section > h2{
    border-right: 2.3px solid rgba(110, 83, 116, 0.568);
    border-bottom: 2.3px solid rgb(169, 153, 180);
    width: 11%; 
    padding-left: 0.9%; 
    font-size: 130%;
    background: linear-gradient(45deg, rgb(173, 209, 180),rgba(17, 119, 114, 0.377));
    color:darkslategrey;
    height: 35px;
    padding-bottom: auto;
    padding-top: 10px;
}
 
article > section > p > b{
    text-align: center;
    padding-left: 21%;
}
 
article > section > form > input{
    margin-top: 9px;
    resize: none;
}
 
article > section > form > table > tbody > tr > td > textarea{
    margin-top: 9px;
    resize: none;
} 
 
#birthday{
    margin-top: 9px;
}
 
 
#costat{
    margin-left: -43%;
}

#costat2{
    margin-left: -70%;
}

.button{
    position: relative;
    top: 3px;
}
 
.left{
    margin-left: 5%;
    margin-top: 3.5%;
    background-color: white;
    opacity: 0.6;
    width: 29%;
    border-style: ridge;
    border-width: 5px;
    border-color: teal;
    padding: 10px;
}
 
.right{
    margin-right: 0px;
    padding-right: 0px;
    width: 70%;
    position: absolute;
    left: 42%;
    top: 50%;
}
 
.side{
    position: absolute;
    left: 43.5%;
    top: 20%;
    width: 100%;
    margin-top: 2%;
} 
 
main>hr{
    margin-top: 7%;
}
 
#final{
    font-size: 80%;
}
 
#underline{
    text-decoration: underline;
}

#identacio{
    margin-left: 10%;
}

.left > p{
    text-align: justify;
    position:relative;
    left: -10%;
}

#mouredreta{
    position:relative;
    left:7%;
}

.mesespai{
    margin-left: 3%;
}


#botons{
    margin-left: 33%;
    margin-top: 5px;
}


















/*GALERIA*/
#galeria {
    display: inline-block;
    margin-left: 10%;
    margin-right: 10%;
    margin-top: 25px;

}

#fotosGaleria > img{
    width: 33%;

}







/*Calendari*/
 
#formcalendari{
    background-color: rgba(210, 105, 30, 0.151);
    margin-right: 60%;
    margin-left: -50%;
    margin-top: 10%;
}

#iconasincronitza{
    position:relative;
    top: -38px;
    right: -40%; 
}
 
#dreta{
    float: right;
    margin-right: 2%;   
}
 
#width{
    width: 17%;
}



#centrar{
    margin-top: 8%;
    margin-left: 30%;
    margin-right: 22%;
    display: inline-block;
}
 
#centrartext{
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    margin-left: 15%;
    margin-bottom: 1%;
    margin-top: 1%;
    text-decoration: underline;
    color: darkslategray;
}
 
#agenda{
    border-style: ridge;
    border-width: 2px;
    border-color:rgb(169, 153, 180);
    background-color: rgba(35, 47, 102, 0.295);
    width: fit-content;
    margin-left: 10%; 
}
 
#inputnom{
    margin-left: 5%;
}
 
#inputmail{
    margin-left: 5.5%;
}
 
#margeabaix{
    margin-bottom: 5%;
}
 
#confirma{
    font-size: 107%;
    font-weight: bold;
}
 
#calendariboto{
    margin-left: 30%;
}







/*Contacte*/
 
#dretaform{
    position: absolute;
    top: 30%;
    left: 55%;
}
 
#ubicaciomapa{
    margin-top: 3.6%;
    margin-left: 10%;
}
 
#contacta{
    font-size: 130%;
    font-weight: bold;
}
 
#formcontacte{
    border-color: black;
    background-color: rgba(210, 105, 30, 0.151);
}

#formcontacte > fieldset > textarea {
    resize: none;
}







/*BOTIGA*/

table {
    width: 80%;
    margin-left: 10%;
    margin-right: 10%;
    margin-top: 15px;
    
}
.fila {
    width: 20%;
    background-color: white;
}

.columna {
    width: 32%;
}

/*Files*/
.fila > td, .columna{
    padding-left: 30px;
    padding-right: 30px;
    background-color:rgb(255, 255, 255);
}

/*contingut de la columna*/
.columna > a > img, .columna > a > p{
    display: inline-block;
    margin-left: 3%;
    margin-top: 10px;
    position: relative;
    bottom: 7px;
}

/*imatge productes*/
.producte {
    width: 100%;
}

.producte:hover {
    width: 100%;
    opacity: 30%;
}

/*imatge cistella*/
.cistella {
    width: 10%;
}

/*Text links Botiga*/
.columna > a, .fila > td > a {
    text-decoration: none;
}

/*Nom producte + preu*/
.textProd,.textPreu {
    position:relative;
    left: 6px;
    font-family: Calibri;
}

/*Nom producte*/
.textProd {
    font-size: 20px;
    font-weight: bold;
    color:rgb(37, 37, 37);
}

.textProd:hover {
    font-size: 20px;
    font-weight: bold;
    color:rgb(27, 117, 129);
}

/*"Afegir a la cistella*/
.columna > a > p {
    font-family: Calibri;
    color:rgb(37, 37, 37);
}

.columna > a > p:hover {
    font-family: Calibri;
    color:rgb(27, 117, 129);
}







/*PAGINES PRODUCTES BOTIGA*/

.taulaDescripcio {
    margin-left: 10%;
    margin-right: 2%;
    background-color: rgb(123, 189, 175);
    width: 80%;
    margin-top: -100px;
    padding-top:2%;
    padding-bottom:2%;
    margin-bottom: 20px;
    
}

.descripcioProd {
    display: inline-block;
    margin-left: 4%;
    margin-right: 2%;
    font-family: Calibri;
}

.descripcioProd > img {
    width: 600px;
}

#infoProd {
    position:relative;
    top: -120px;
    margin-right:-4%;
}

.fletxaDreta {
    position:relative;
    top: 170px;
    left: 80%;
}

.fletxaEsquerra {
    position:relative;
    top: 170px;
    left: 0%;
}

.tornaEnrere {
    position:relative;
    left:50%;
}









/*FOOTER*/
 
 
footer {
    background-color: black;
    color: rgb(207, 205, 205);
    font-size: 110%; 
    text-align: center; 
    font-family: Calibri;
 
}
 
/*imatge del bloc de localitzacio*/
.image-container>img{
    width: 30%;
}
 
/* imatge del bloc de contacte */
#bloc1ubicacio>img{
    width: 20%;
}
 
 
/* imatge xarxes socials delbloc de segueixnos a: */
#bloc2ubicacio>ul>li>.image-container>img{
    width: 20%;
}
 
/* Text segueix-nos a: */
#bloc2ubicacio>p{
    margin-left: 15%;
} 
 
/*imatges últim bloc (i segon bloc?)*/
.image-containerlogo>img{
    width: 20%;
    margin-top: 20px;
}
 
/* imatges de les xarxes socials */
footer > nav > div > ul > li{
    list-style-type: none;
    display: inline;
    margin-right: 5%;
}
 
/* tots els div que hi ha dins el nav, tots els blocs diferents del footer*/
footer > nav > div{
    display: inline-block;
    width: 17%;
    padding-right: 5%;
}
 
 
/* Última firma amb el nostre nom i cognom */
#firma{
    margin-top: 10px;
    text-align: center;
    background-color: rgb(37, 37, 37);
}
 
#mooveunder{
    margin-top: 45%;
}

#segonmail{
    position: relative;
    right: 20px;
}
 
